Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.publish.plugins
[Java] Class PublishingPlugin

    java.lang.Object
      org.gradle.api.publish.plugins.PublishingPlugin

All Implemented Interfaces:
  Plugin

    @Incubating
    public class PublishingPlugin

Installs a PublishingExtension with name {

value:
  org.gradle.api.publish.PublishingExtension#NAME}.

Since:
  1.3

Field Summary
`static String` | `PUBLISH_LIFECYCLE_TASK_NAME`
`static String` | `PUBLISH_TASK_GROUP`

Constructor Summary
`PublishingPlugin(ArtifactPublicationServices publicationServices, Instantiator instantiator, ModelRules modelRules)`

Method Summary
`void` | `apply(Project project)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### PUBLISH_LIFECYCLE_TASK_NAME

    public static final String PUBLISH_LIFECYCLE_TASK_NAME

### PUBLISH_TASK_GROUP

    public static final String PUBLISH_TASK_GROUP

Constructor Detail

### PublishingPlugin

    @Inject
    public PublishingPlugin(ArtifactPublicationServices publicationServices, Instantiator instantiator, ModelRules modelRules)

Method Detail

### apply

    public void apply(Project project)

Gradle API 1.10